Loading...
Searching...
No Matches
Opm::WellTestConfig Class Reference

## Classes

struct | WTESTWell

## Public Types

using | Reason = WTest::Reason

## Public Member Functions

| WellTestConfig (const RestartIO::RstState &rst_state, int report_step)
void | add_well (const std::string &well, int reasons, double test_interval, int num_test, double startup_time, int current_step)
void | add_well (const std::string &well, const std::string &reasons, double test_interval, int num_test, double startup_time, int current_step)
void | drop_well (const std::string &well)
bool | has (const std::string &well) const
bool | has (const std::string &well, Reason reason) const
const WTESTWell & | get (const std::string &well) const
bool | empty () const
bool | operator== (const WellTestConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static WellTestConfig | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/WellTestConfig.hpp
- opm/input/eclipse/Schedule/Well/WellTestConfig.cpp